pqxx::string_traits< binarystring > Struct Reference

String conversion traits for `binarystring`. More...

`#include <binarystring.hxx>`

## Static Public Member Functions

static std::size_t | size_buffer (binarystring const &value) noexcept
static zview | to_buf (char *begin, char *end, binarystring const &value)
static char * | into_buf (char *begin, char *end, binarystring const &value)
static binarystring | from_string (std::string_view text)

## Detailed Description

String conversion traits for `binarystring`.

Defines the conversions between a `binarystring` and its PostgreSQL textual format, for communication with the database.

These conversions rely on the "hex" format which was introduced in PostgreSQL 9.0. Both your libpq and the server must be recent enough to speak this format.

## Member Function Documentation

## from_string()

static binarystring pqxx::string_traits< binarystring >::from_string | ( | std::string_view | text | ) |

static

References pqxx::internal::size_unesc_bin(), pqxx::text, and pqxx::internal::unesc_bin().

## into_buf()

static char * pqxx::string_traits< binarystring >::into_buf | ( | char * | begin,
|  | char * | end,
|  | binarystring const & | value
| ) |  |

static

References pqxx::binary_cast(), pqxx::internal::cmp_less(), pqxx::internal::esc_bin(), pqxx::string_traits< TYPE >::size_buffer(), pqxx::text, and pqxx::binarystring::view().

## size_buffer()

static std::size_t pqxx::string_traits< binarystring >::size_buffer | ( | binarystring const & | value | ) |

static noexcept

References pqxx::internal::size_esc_bin().

## to_buf()

static zview pqxx::string_traits< binarystring >::to_buf | ( | char * | begin,
|  | char * | end,
|  | binarystring const & | value
| ) |  |

static

The documentation for this struct was generated from the following file:

- binarystring.hxx